CVE-2011-2975

NameCVE-2011-2975
DescriptionDouble free vulnerability in the msAddImageSymbol function in mapsymbol.c in MapServer before 6.0.1 might allow remote attackers to cause a denial of service (application crash) or have unspecified other impact via crafted mapfile data.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mapserver (PTS)jessie (security), jessie6.4.1-5+deb8u3fixed
stretch7.0.4-2fixed
buster7.2.2-1fixed
bullseye, sid7.4.3-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mapserversource(unstable)6.0.1-1
mapserversourcelenny(not affected)
mapserversourcesqueeze(not affected)

Notes

[lenny] - mapserver <not-affected> (Vulnerable code not present)
[squeeze] - mapserver <not-affected> (Vulnerable code not present)

Search for package or bug name: Reporting problems